package intrinsic.mx.modules;

public interface IModuleInfo extends intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
//	public intrinsic.mx.core.IFlexModuleFactory factory;
//	public boolean loaded;
//	public boolean error;
//	public boolean setup;
//	public boolean ready;
//	public String url;
//	public Object data;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void release();
public void publish(intrinsic.mx.core.IFlexModuleFactory arg0);
public void load();
public void load(intrinsic.flash.system.ApplicationDomain arg0);
public void load(intrinsic.flash.system.ApplicationDomain arg0, intrinsic.flash.system.SecurityDomain arg1);
public void unload();

}
